/*
	Stempora Web Framework
	Copyright (c) 2002-2018 Stempora. 
	All rights reserved.
		web:  www.stempora.com
		mail: support@stempora.com				
*/

var STBModuleBlog = Object.create(STBModule.prototype);

STBModuleBlog.name = "ModuleBlog";

STBModuleBlog.fixPostMeta = function() {
	var post = jQuery(".post-meta");

	if (post.length > 0) {
		post.each(function() {
			if (jQuery(this).find("li").length < 1)	{
				jQuery(this).remove();
			}
		});
	}
}

STBModuleBlog.runOnContentUpdate = function() {
	STBModuleBlog.fixPostMeta();
}

STBModuleBlog.runOnReady = function () {
	STBModuleBlog.fixPostMeta();
}

site.registerModule(STBModuleBlog);
